Nourishing Plushie Monster

    @preact/legacy-compat

    0.1.10 • Public • Published

    @preact/legacy-compat npm

    Extended compatibility layer for Preact, supporting deprecated and removed APIs from React 15 and prior.

    This module provides a bridging solution for older codebases. For new projects, please use preact/compat.

    Extended Compatibility Features:

    • createClass() - including mixins, getInitialState, etc
    • string refs
    • Built-in PropTypes (React.PropTypes)
    • Immutable.js support
    • renderSubtreeIntoContainer()

    Keywords

    none

    Install

    npm i @preact/legacy-compat

    DownloadsWeekly Downloads

    23

    Version

    0.1.10

    License

    MIT

    Unpacked Size

    53.3 kB

    Total Files

    9

    Last publish

    Collaborators

    • sventschui
    • reznord
    • preactjs
    • developit
    • lukeed
    • prateekbh
    • harmony
    • marvinhagemeister
    • solarliner
    • jdecroock